Update Recommendation Result
Modifies a recommendation result or triggers its publication to the NSX Policy Manager.
Notes:
- To publish the generated infrastructure payload to NSX, include
publish_actionof PUBLISH or FORCE_PUBLISH in the request body. - Side Effect: Publishing to NSX applies the recommended security policies, rules, and groups directly to the live firewall environment.
- Returns a
202 Acceptedwith an async operation ID. Use the result status endpoint to track publication progress.
The id of the resource
The result id of a recommendation session for each site. For now the result id will be the site id.
The updated recommendation result. Can include publish_action of PUBLISH or FORCE_PUBLISH to trigger publication to NSX.
{
"_revision": 0,
"display_name": "REC 260518 03:46:50",
"description": "Recommendation created on 5/18/26, 3:46 PM",
"site_ids": [],
"infra": {
"domains": [],
"_links": [],
"resource_type": "Infra",
"id": "infra",
"tags": [],
"children": [
{
"resource_type": "ChildResourceReference",
"children": [
{
"resource_type": "ChildSecurityPolicy",
"SecurityPolicy": {
"application_connectivity_strategy": [],
"connectivity_preference": "NONE",
"rules": [],
"_links": [],
"resource_type": "SecurityPolicy",
"id": "Policy-d81c4105-3da3-4cb5-8a08-51f082c175ae-fd0b23f9-7bc6-4f95-9308-ec1d620b9605",
"display_name": "Policy-1 (REC 260518 03:46:50)",
"description": "Created from d81c4105-3da3-4cb5-8a08-51f082c175ae",
"tags": [],
"children": [
{
"resource_type": "ChildRule",
"Rule": {
"action": "ALLOW",
"_links": [],
"resource_type": "Rule",
"id": "Rule-d81c4105-3da3-4cb5-8a08-51f082c175ae-7e17cb1b-3099-4111-83dc-b0db36be1923",
"display_name": "Rule-1 (REC 260518 03:46:50)",
"description": "Created from REC 260518 03:46:50",
"tags": [],
"parent_path": "/infra/domains/default/security-policies/Policy-d81c4105-3da3-4cb5-8a08-51f082c175ae-fd0b23f9-7bc6-4f95-9308-ec1d620b9605",
"path": "/infra/domains/default/security-policies/Policy-d81c4105-3da3-4cb5-8a08-51f082c175ae-fd0b23f9-7bc6-4f95-9308-ec1d620b9605/rules/Rule-d81c4105-3da3-4cb5-8a08-51f082c175ae-7e17cb1b-3099-4111-83dc-b0db36be1923",
"children": [],
"marked_for_delete": false,
"overridden": false,
"destination_groups": [
"/infra/domains/default/groups/fd2186ce-4129-3567-9a47-e1ec6c3b498a"
],
"destinations_excluded": false,
"direction": "IN_OUT",
"disabled": false,
"logged": false,
"profiles": [
"ANY"
],
"scope": [
"/infra/domains/default/groups/05604720-dbe9-3b27-a953-3a1de60b8e28"
],
"sequence_number": 1,
"service_entries": [],
"services": [
"/infra/services/SSH"
],
"source_groups": [
"/infra/domains/default/groups/05604720-dbe9-3b27-a953-3a1de60b8e28"
],
"sources_excluded": false
},
"_links": [],
"tags": [],
"marked_for_delete": false
}
],
"marked_for_delete": false,
"overridden": false,
"category": "Application",
"locked": false,
"rule_count": 1,
"scope": [
"/infra/domains/default/groups/05604720-dbe9-3b27-a953-3a1de60b8e28"
],
"stateful": true
},
"_links": [],
"tags": [],
"marked_for_delete": false
}
],
"target_type": "Domain",
"_links": [],
"id": "default",
"tags": [],
"mark_for_override": false,
"marked_for_delete": false
}
],
"marked_for_delete": false
},
"id": "9e0865d0-9d89-44c7-8cc0-9f96a9b35721",
"publish_action": "PUBLISH"
}
The recommendation result update request has been accepted and is being processed asynchronously. The response includes an async operation identifier for tracking the status.
{
"id": "d81c4105-3da3-4cb5-8a08-51f082c175ae",
"status_url": "https://<ssp_host>/intelligence/recommendations/d81c4105-3da3-4cb5-8a08-51f082c175ae/results/9e0865d0-9d89-44c7-8cc0-9f96a9b35721/status"
}
UUID identifier of the response.
The URL to check the status of the operation.
Bad Request
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unauthorized
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Forbidden
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Failed
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Required
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Too Many Requests
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Error
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/intelligence/recommendations/{id}/results/{result-id}